import { EventEmitter } from '../../stencil-public-runtime';
import { BalTabOption } from './bal-tab.type';
export declare class Tabs {
  element: HTMLElement;
  tabsOptions: BalTabOption[];
  /**
   * Defines the layout of the tabs.
   */
  interface: 'tabs' | 'steps';
  /**
   * If `true` the field expands over the whole width.
   */
  expanded: boolean;
  /**
   * If `true` the padding gets reduced.
   */
  dense: boolean;
  /**
   * If you want the rounded tab style.
   */
  rounded: boolean;
  /**
   * If `true` a acation button is added to the right
   */
  action: boolean;
  /**
   * Label for the action button
   */
  actionLabel: string;
  /**
   * Emitted when the changes has finished.
   */
  tabsDidChange: EventEmitter<BalTabOption>;
  /**
   * Emitted when the action button has clicked
   */
  actionHasClicked: EventEmitter<MouseEvent>;
  /**
   * Go to tab with the given value
   */
  select(tab: BalTabOption): Promise<void>;
  /**
   * *Internal* Rerenders the tabs with their given settings
   */
  sync(): Promise<void>;
  componentWillLoad(): void;
  private get tabs();
  private onSelectTab;
  render(): any;
  renderSteps(): any;
  renderTabs(): any;
}
